package models

type PendingCancelAmountRequest struct {
	OpenId string `json:"open_id"`
	Type   int    `json:"type"` //1-商家 2-客户
}

type PendingCancelAmountReply struct {
	Amount string `json:"amount"`
}

type GetGroupBuyPayRequest struct {
	OpenId       string `json:"open_id"`
	UserType     int    `json:"user_type"` //1-商家 2-c端客户
	GroupBuyType int    `json:"pay_type"`  //1-待核销 2-已核销
	PageSize     int    `json:"page_size"`
	PageIndex    int    `json:"page_index"`
}

type GetGroupBuyPayReply struct {
	ActiveName     string `json:"active_name"`     //活动名称
	GroupBuyName   string `json:"group_buy_name"`  //拼团名称
	Amount         string `json:"amount"`          //交易金额
	MerchantAmount string `json:"merchant_amount"` //商家金额
	ClientAmount   string `json:"client_amount"`   //客户金额
	PayTime        string `json:"pay_time"`        //支付时间

}
